#!/bin/bash
if [[ -e /sys/devices/virtual/dmi/id/product_uuid ]]; then
    cat /sys/devices/virtual/dmi/id/product_uuid | awk '{print tolower($0)}' | sha256sum | cut -d' ' -f1
else
    grep ethaddr0 /proc/cpuinfo | cut -d' ' -f2 | sha256sum | cut -d' ' -f1
fi
