#!/bin/sh

exec > logs/update.log
exec 2>&1

pkg=$(basename "$1")

/etc/init.d/sdkExacqVision stop

cd /usr/local/packages/ExacqVision
rm -rf install install.sh ExacqVisionInstall.sh lib
tar zxf /var/spool/storage/SD_DISK/exacq/downloads/$pkg

if [ -e install.sh ]; then
  ./install.sh
else
  ./ExacqVisionInstall.sh
fi

/etc/init.d/sdkExacqVision start
